LinuxQMISDK: WdsPktStatisticsElmnts Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
WdsPktStatisticsElmnts Struct Reference

## Data Fields
ULONG * | pTXPacketSuccesses
ULONG * | pRXPacketSuccesses
ULONG * | pTXPacketErrors
ULONG * | pRXPacketErrors
ULONG * | pTXPacketOverflows
ULONG * | pRXPacketOverflows
ULONGLONG * | pTXOkBytesCount
ULONGLONG * | pRXOkBytesCount
ULONGLONG * | pTXOKBytesLastCall
ULONGLONG * | pRXOKBytesLastCall
ULONG * | pTXDroppedCount
ULONG * | pRXDroppedCount

## Detailed Description

WDS Pkt Statistics request data structure for individual session

Parameters

  pTXPacketSuccesses | No of transmitted Packets without error.
  pRXPacketSuccesses | No of recieved Packets without error.
  pTXPacketErrors | Number of outgoing packets with framing errors.
  pRXPacketErrors | Number of incoming packets with framing errors.
  pTXPacketOverflows | Number of packets dropped because Tx buffer overflowed (out of memory).
  pRXPacketOverflows | Number of packets dropped because Rx buffer overflowed (out of memory).
  pTXOkBytesCount | No of bytes transmitted without error.
  pRXOkBytesCount | No of bytes recieved without error.
  pTXOKBytesLastCall | No of bytes transmitted without error during the last data call (0 if no call was made earlier). Returned only if not in a call, and when the previous call was made using RmNet (for any devices that support
  pRXOKBytesLastCall | Number of bytes received without error during the last data call (0 if no call was made earlier). Returned only if not in a call, and when the previous call was made using RmNet (for any devices that support
  pTXDroppedCount | Number of outgoing packets dropped.
  pRXDroppedCount | Number of incoming packets dropped.

## Field Documentation

ULONG* WdsPktStatisticsElmnts::pRXDroppedCount

ULONGLONG* WdsPktStatisticsElmnts::pRXOkBytesCount

ULONGLONG* WdsPktStatisticsElmnts::pRXOKBytesLastCall

ULONG* WdsPktStatisticsElmnts::pRXPacketErrors

ULONG* WdsPktStatisticsElmnts::pRXPacketOverflows

ULONG* WdsPktStatisticsElmnts::pRXPacketSuccesses

ULONG* WdsPktStatisticsElmnts::pTXDroppedCount

ULONGLONG* WdsPktStatisticsElmnts::pTXOkBytesCount

ULONGLONG* WdsPktStatisticsElmnts::pTXOKBytesLastCall

ULONG* WdsPktStatisticsElmnts::pTXPacketErrors

ULONG* WdsPktStatisticsElmnts::pTXPacketOverflows

ULONG* WdsPktStatisticsElmnts::pTXPacketSuccesses